{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>timesheet_approval_statuses:read</code>\n\nReturns a list of timesheet approval statuses filtered by workspace and optionally by user, date range, or approval status.","properties":{"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"workspace":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the workspace."},"user":{"type":"string","examples":["67890"],"description":"Globally unique identifier for the user to filter timesheet approval statuses by."},"from_date":{"type":"string","format":"date","examples":["2025-11-01"],"description":"The start date for filtering timesheet approval statuses."},"to_date":{"type":"string","format":"date","examples":["2025-11-30"],"description":"The end date for filtering timesheet approval statuses."},"approval_statuses":{"type":"string","examples":["draft"],"description":"Filter by approval status. Can be one or more of draft, submitted, approved, or rejected."},"limit":{"type":"integer","minimum":1,"maximum":100,"examples":[50],"description":"Results per page.\nThe number of objects to return per page. The value must be between 1 and 100."},"offset":{"type":"string","examples":["eyJ0eXAiOJiKV1iQLCJhbGciOiJIUzI1NiJ9"],"description":"Offset token.\nAn offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results.\n*Note: You can only pass in an offset that was returned to you via a previously paginated request.*"},"opt_fields":{"type":"array","items":{"type":"string","enum":["approval_status","created_at","end_date","offset","path","start_date","uri","user","user.name","workspace","workspace.name"]},"examples":[["approval_status","created_at","end_date","offset","path","start_date","uri","user","user.name","workspace","workspace.name"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":["workspace"],"additionalProperties":false}},"required":["query"],"additionalProperties":false},"name":"Get multiple timesheet approval statuses","id":"asana.gettimesheetapprovalstatuses","example":{"query":{"workspace":"12345"}},"maxRequests":1,"summary":false}}